Subject: Re: linux-next: build failure after merge of the ieee1394 tree

From: Stefan Richter <[email-masked]>
Date: Tue, 27 Jul 2010 10:07:40 +0200

Stephen Rothwell wrote:
> After merging the ieee1394 tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/firewire/nosy.c: In function 'packet_buffer_get':
> drivers/firewire/nosy.c:154: error: 'TASK_INTERRUPTIBLE' undeclared (first use in this function)
> drivers/firewire/nosy.c:154: error: implicit declaration of function 'signal_pending'
> drivers/firewire/nosy.c:154: error: implicit declaration of function 'schedule'
> drivers/firewire/nosy.c: In function 'packet_buffer_put':
> drivers/firewire/nosy.c:221: error: 'TASK_INTERRUPTIBLE' undeclared (first use in this function)
> drivers/firewire/nosy.c: In function 'remove_card':
> drivers/firewire/nosy.c:514: error: 'TASK_INTERRUPTIBLE' undeclared (first use in this function)
> 
> Forgot to include something?
> 
> I have used the ieee1394 tree from next-20100726 for today.

Oh right.  Every user of <linux/wait.h> must also include
<linux/sched.h>, unfortunately.  I saw the same problem months ago with
another driver, I wonder why I did not catch it this time.

I will fix it later today.  This code is in a topic branch for a new
driver; I will rewrite that branch to stay fully bisectable.
-- 
Stefan Richter
-=====-==-=- -=== ==-==
http://arcgraph.de/sr/